REST API: Installer
Generated from the daemon’s OpenAPI document. Conventions, sign-in, the CSRF header and the WebSocket are on API.
GET /api/install-id
Section titled “GET /api/install-id”Responses
- 200:
application/json: InstallIdResponse - 404
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
GET /api/installer
Section titled “GET /api/installer”Responses
- 200:
application/json: InstallerStatus
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/installer/claim
Section titled “POST /api/installer/claim”Responses
- 200:
application/json: InstallerStatus
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/installer/install
Section titled “POST /api/installer/install”Request body: application/json: InstallRequest
Responses
- 202:
application/json: InstallerStatus
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
GET /api/installer/network/test
Section titled “GET /api/installer/network/test”Responses
- 200:
application/json: NetworkTestStatus
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/installer/network/test
Section titled “POST /api/installer/network/test”Request body: application/json: NetworkConfig
Responses
- 202:
application/json: NetworkTestStatus
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
GET /api/installer/options
Section titled “GET /api/installer/options”Responses
- 200:
application/json: InstallerOptions
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/installer/reboot
Section titled “POST /api/installer/reboot”Responses
- 204
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.